#ifndef PRODUCTION_H
#define PRODUCTION_H

#include <vector>
#include <initializer_list>

#include "Grammar.h"

namespace Grammar {
class Production {
public:
    typedef std::vector<Symbol> String;

    inline Production(NotTerminal left, std::initializer_list<Symbol> right) : left(left), right(right) {
    }

    NotTerminal left;
    String right;
};
}

#endif // PRODUCTION_H
