#ifndef GRAMMAR_H
#define GRAMMAR_H

namespace Grammar {

struct Symbol {
    char x=0;

    Symbol() = default;
    Symbol(char x) : x(x) {

    }

    inline operator char() const {
        return x;
    }

    inline bool operator ==(const Symbol &other) const {
        return x == other.x;
    }
};


struct NotTerminal : Symbol {
    using Symbol::Symbol;
};

struct Terminal : Symbol {
    using Symbol::Symbol;
};

}

#endif // GRAMMAR_H
